GET /api/v3/meterGroup/category

Gets a list of meter categories

GetMeterCategoriesV3 Permissions: GroupsAndBenchmarksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterCategoryResponse
Property Description Type
autoGroup Is this category an automatically maintained one? boolean
meterGroupCategoryCode The meter category code string
meterGroupCategoryId The meter category identifier integer (int32)
meterGroupCategoryInfo The meter category name string
numberOfGroups Number of groups within this category integer (int32)
numberOfGroupsWithVisibleMembers Number of groups within this category with members the logged in can see integer (int32)
Example Response application/json
[
  {    "autoGroup": false,    "meterGroupCategoryCode": "string",    "meterGroupCategoryId": 1,    "meterGroupCategoryInfo": "string",    "numberOfGroups": 1,    "numberOfGroupsWithVisibleMembers": 1
  }
]